Subject: Re: Evergreen Catalog?

From: [email-masked] (Teri M Aeschliman)
Date: Sun, 8 Jan 1995 19:46:34 GMT

[email-masked] (A. Mikolas) writes:

>Has anybody run across a catalog that features evergreens like
>junipers, cypress, etc?

Yes, I just received a catalog the other day from Musser Forests, Inc.  
It looks really nice with glossy paper and color photos.  They also have 
deciduous trees, shrubs, perennials, and ground covers.  I have also heard 
good things about them from other gardeners.  I have not ordered from 
them myself yet, but I will probably order something from them this 
year since they come so highly recommended.  I am also impressed with 
their reasonable prices  You can contact them at:

		Musser Forests, Inc
		Dept. S-95M PO Box 340
		Indiana, Pennsylvania 15701-0340
		Phone (412) 465-5685  Fax (412) 465-9893

Teri